> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapkey.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Plain Text

> Send plain text message



## OpenAPI

````yaml openapi-v1  POST /message/sendText/{instance}
openapi: 3.0.3
info:
  title: ZapKey
  version: 1.7.1
servers:
  - url: https://api.zapkey.io
security: []
paths:
  /message/sendText/{instance}:
    post:
      tags:
        - Message Controller
      summary: Send Text
      description: Send plain text message
      operationId: sendText
      parameters:
        - name: instance
          in: path
          required: true
          description: ID of the instance to connect
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - number
                - textMessage
              properties:
                number:
                  type: string
                  description: Number to receive the message (with country code)
                options:
                  type: object
                  properties:
                    delay:
                      type: integer
                      description: Presence time in milliseconds before sending message
                    presence:
                      type: string
                      description: 'Presence type to show '
                      enum:
                        - composing
                        - recording
                    linkPreview:
                      type: boolean
                      description: >-
                        Shows a preview of the target website if there's a link
                        within the message
                    quoted:
                      type: object
                      properties:
                        key:
                          type: object
                          properties:
                            remoteJid:
                              type: string
                              description: Receiver phone number with country code
                            fromMe:
                              type: boolean
                              description: If the message is from the owner number
                            id:
                              type: string
                              description: Message ID
                            participant:
                              type: string
                              description: TODO
                        message:
                          type: object
                          properties:
                            conversation:
                              type: string
                              description: Quoted message content
                    mentions:
                      type: object
                      properties:
                        everyOne:
                          type: boolean
                          description: Mentions everyone
                        mentioned:
                          type: array
                          items:
                            type: string
                            description: Receiver phone number with country code
                textMessage:
                  type: object
                  properties:
                    text:
                      type: string
                      description: Text message content
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  key:
                    type: object
                    properties:
                      remoteJid:
                        type: string
                        description: The remote Jid.
                      fromMe:
                        type: boolean
                        description: Indicates whether the message was sent by the user.
                      id:
                        type: string
                        description: The ID of the message.
                  message:
                    type: object
                    properties:
                      extendedTextMessage:
                        type: object
                        properties:
                          text:
                            type: string
                            description: The text message.
                  messageTimestamp:
                    type: string
                    description: The timestamp of the message.
                  status:
                    type: string
                    description: The status of the message.
                example:
                  key:
                    remoteJid: 553198296801@s.whatsapp.net
                    fromMe: true
                    id: BAE594145F4C59B4
                  message:
                    extendedTextMessage:
                      text: Olá!
                  messageTimestamp: '1717689097'
                  status: PENDING
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````